Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Clarinet Class Reference

STK clarinet physical model class. More...

`#include <Clarinet.h>`

Inheritance diagram for stk::Clarinet:

List of all members.

## Public Member Functions
| Clarinet (StkFloat lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Clarinet (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | startBlowing (StkFloat amplitude, StkFloat rate)
| Apply breath pressure to instrument with given amplitude and rate of increase.
void | stopBlowing (StkFloat rate)
| Decrease breath pressure with given rate of decrease.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK clarinet physical model class.

This class implements a simple clarinet physical model, as discussed by Smith (1986), McIntyre, Schumacher, Woodhouse (1983), and others.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

Control Change Numbers:

- Reed Stiffness = 2
- Noise Gain = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Breath Pressure = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Clarinet::Clarinet | ( | StkFloat | lowestFrequency | ) |

Class constructor, taking the lowest desired playing frequency.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- Clarinet.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.